Skip to main content
GET
/
inbox
/
comments
List commented posts
curl --request GET \
  --url https://api.social-api.ai/v1/inbox/comments \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "account_id": "<string>",
      "comment_count": 123,
      "content": "<string>",
      "created_at": "<string>",
      "id": "<string>",
      "like_count": 123,
      "page_id": "<string>",
      "permalink": "<string>",
      "platform": "<string>",
      "platform_id": "<string>",
      "published_at": "<string>",
      "thumbnail": "<string>",
      "updated_at": "<string>",
      "user_id": "<string>"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Query Parameters

account_id
string

Filter by connected account ID

platform
string

Filter by platform (instagram, facebook, threads, tiktok, linkedin, google)

min_comments
integer

Only return posts with at least this many comments (default 0)

since
string

Only return posts commented after this timestamp (RFC3339)

sort_by
string

Sort field: date (default)

sort_order
string

Sort direction: desc (default) or asc

limit
integer

Max results per page (default 25)

cursor
string

Pagination cursor from previous response

Response

Paginated list of commented posts

data
object[]
pagination
object